Subject: Re: How to save news automatically?

From: "Timothy J. Luoma" <[email-masked]>
Date: Sat, 29 Jun 96 14:29:20 -0400

Qingchun Guo on Thu, 27 Jun 1996 wrote:
> Currently I use pine to get news on my UNIX work station. But
> instead of reading each news item one by one using pine, I like to
> save all items in a big file, quit pine, and then open the file
> using my favorite screen editor. Then I can use keyword search and
> other functions of the editor to quickly find what I want to read
> and get rid of what I don't want to read. That saves me a lot of
> time.
>
> If I want to save all news items of comp.mail.pine into a file
> named PineNews, this is how I do it:
> 1. Type 'pine' in a UNIX shell to start pine;
> 2. Enter the news group comp.mail.pine;
> 3. Type: '; a a s PineNews y'
> 4. Quit pine
>
> After that, I can find the file named PineNews which includes all
> news items.
>
> Now, this is my question: I want to write a UNIX shell script (or
> in any other programming language) to automatically save all news
> items into a file (instead of doing it manually according to the
> above 4 steps). Is that possible? If yes, how do I do it?
>
> Your help will be greatly appreciated.  Thanks in advance.
>
> Qingchun Guo
> [email-masked]
>
>

This sounds like a job for expect written by  Don Libes  
<[email-masked]>

ftp://tribble.cme.nist.gov:/pub/expect/expect.tar.gz (or .tar.Z)

you'll also need:

ftp://tribble.cme.nist.gov:/pub/expect/tcl.tar.Z (no .gz available)

I'm not sure exactly how it would work (I'm just learning expect)  
but Don's written a great book called "Exploring Expect" available  
at better libraries and book stores everywhere.

I love expect, and think that the book is well worth the $.

TjL

--
Timothy J. Luoma, currently with nothing witty to put in his .sig
	[email-masked]  <<--NEW address
		NeXTMail adored (SUN/MIME OK!)
Watch this space for my WEBPAGE, coming soon!